Package org.apache.felix.http.base.internal.handler

# Class WhiteboardServletHandler

java.lang.Object
org.apache.felix.http.base.internal.handler.ServletHandler
org.apache.felix.http.base.internal.handler.WhiteboardServletHandler

All Implemented Interfaces:
  `Comparable<ServletHandler>`

public class WhiteboardServletHandler extends ServletHandler
Servlet handler for servlets registered through the http whiteboard.

## Field Summary

### Fields inherited from class org.apache.felix.http.base.internal.handler.ServletHandler

`useCount`

## Constructor Summary

Constructors
Constructor
Description
`WhiteboardServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, org.osgi.framework.BundleContext contextBundleContext)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`destroy()`
`void`
`handle(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res)`
`int`
`init()`
Initialize the object

### Methods inherited from class org.apache.felix.http.base.internal.handler.ServletHandler

`compareTo, dispose, equals, getContext, getContextServiceId, getMultipartConfig, getName, getServlet, getServletInfo, hashCode, setServlet`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WhiteboardServletHandler

public WhiteboardServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, org.osgi.framework.BundleContext contextBundleContext)

## Method Details

### init

public int init()
Description copied from class: `ServletHandler`
Initialize the object

Overrides:
  `init` in class `ServletHandler`
Returns:
  {code -1} on success, a failure reason according to `DTOConstants` otherwise.

### destroy

public boolean destroy()

Overrides:
  `destroy` in class `ServletHandler`

### handle

public void handle(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res) throws jakarta.servlet.ServletException, IOException

Overrides:
  `handle` in class `ServletHandler`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`